Bug 172527 - Review Request: python-astng
Review Request: python-astng
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-11-06 01:20 EST by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-12 13:36:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2005-11-06 01:20:17 EST
Spec Name or Url: http://linux.duke.edu/~icon/misc/fe/python-astng.spec
SRPM Name or Url: http://linux.duke.edu/~icon/misc/fe/python-astng-0.13.0-0.1.src.rpm
The aim of this module is to provide a common base representation of
python source code for projects such as pychecker, pyreverse,
pylint, and others. It extends the class defined in the compiler.ast 
python module with some additional methods and attributes.

PS: This is pulled in as a newly introduced requirement for pylint-0.8.
Comment 1 Konstantin Ryabitsev 2005-11-07 16:03:22 EST
Updated to version 0.13.1 released today.
Comment 2 José Matos 2005-11-12 13:05:01 EST
Is this line really required? 
Requires:       python-abi = %(%{__python} -c "import sys ; print 
I thought it was unnecessary for FC4+ 
Other than that it looks OK, I am building it using mock, and if all goes as I 
expect I will approve it soon. :-) 
Comment 3 José Matos 2005-11-12 13:24:19 EST
OK, ignore my comment, I just saw that line in fedora-rpmdevtools rpm. 
Comment 4 José Matos 2005-11-12 13:36:37 EST
+ it build in mock on x86_64 
+ it carries the license, the license is correct (GPL) and valid for Extras 
+ the source file is the same as upstream 
+ the rpm follows the packaging guides 
+ the rpm follows the packaging name rules 
+ rpmlint does not have any output in any of the generated rpms 
+ the spec file is readable and it is written in American English 
+ the package carries code not contents 
Comment 5 Konstantin Ryabitsev 2005-11-12 13:40:13 EST
Thank you, kind sir -- it will be imported shortly. :)

Note You need to log in before you can comment on or make changes to this bug.